#import "GFNode.h"

@class GFList;

@interface GFGraph : GFNode
{
    GFList *_nodes;	// 56 = 0x38
    GFList *_connections;	// 60 = 0x3c
    BOOL _finalizing;	// 64 = 0x40
    void *_unused2[4];	// 68 = 0x44
}

- (void)_finalize_GFGraph;	// IMP=0x97b08839
- (void)finalize;	// IMP=0x97b0b5f8
- (void)dealloc;	// IMP=0x97b087c2
- (BOOL)canAddNode:(id)fp8;	// IMP=0x97ae863e
- (BOOL)addNode:(id)fp8 forKey:(id)fp12;	// IMP=0x97ae830c
- (BOOL)addNode:(id)fp8;	// IMP=0x97b0b644
- (void)removeNodeForKey:(id)fp8;	// IMP=0x97b093a6
- (void)removeNode:(id)fp8;	// IMP=0x97b0b67d
- (id)nodes;	// IMP=0x97b0b6c0
- (BOOL)canConnectPort:(id)fp8 toPort:(id)fp12;	// IMP=0x97aec760
- (id)argumentsForConnectionFromPort:(id)fp8 toPort:(id)fp12;	// IMP=0x97b0b6e1
- (id)createConnectionFromPort:(id)fp8 toPort:(id)fp12 forKey:(id)fp16;	// IMP=0x97aecbd4
- (id)connectPort:(id)fp8 toPort:(id)fp12;	// IMP=0x97b0b6eb
- (void)deleteConnectionForKey:(id)fp8;	// IMP=0x97b08bc0
- (void)breakConnection:(id)fp8;	// IMP=0x97b0b72b
- (id)connections;	// IMP=0x97b0b76e
- (id)nodeForKey:(id)fp8;	// IMP=0x97b0b78e
- (id)keyForNode:(id)fp8;	// IMP=0x97b0b7f7
- (id)connectionForKey:(id)fp8;	// IMP=0x97b0b860
- (id)keyForConnection:(id)fp8;	// IMP=0x97b0b8c9
- (id)pathForNode:(id)fp8;	// IMP=0x97b0b932
- (id)nodeForPath:(id)fp8;	// IMP=0x97b0bae5
- (id)pathForPort:(id)fp8;	// IMP=0x97b0bbd4
- (id)portForPath:(id)fp8;	// IMP=0x97b0bc76
- (BOOL)canPublishPort:(id)fp8;	// IMP=0x97aed97c
- (id)createProxyPortWithOriginalPort:(id)fp8 forKey:(id)fp12;	// IMP=0x97aed736
- (id)publishPort:(id)fp8;	// IMP=0x97b0bd99
- (void)deleteProxyPortForKey:(id)fp8;	// IMP=0x97b08f83
- (void)unpublishPort:(id)fp8;	// IMP=0x97b0bdcf
- (id)proxyPortForOriginalPort:(id)fp8;	// IMP=0x97aed31d
- (id)isPortPublished:(id)fp8;	// IMP=0x97aed303
- (id)state;	// IMP=0x97b0be66
- (BOOL)setState:(id)fp8;	// IMP=0x97ae3afa

@end

